# Submit a bulk job Submits a previously created bulk job for processing. This endpoint must be called after the file has been successfully uploaded to the S3 URL using the uploadFileInfo details from the create job response. If the job has not been uploaded properly before calling this endpoint, submission will fail. Endpoint: POST /bulk-data/bulk-jobs/{id}/submissions Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Path parameters: - `id` (string, required) Bulk Job ID. ## Response 200 fields (application/json): - `id` (string) Unique identifier for the job - `uploadUrl` (string) URL to upload the file. This is the URL to which the file should be uploaded using a PUT request. - `uploadRequest` (object) Information required to upload the file to S3. - `uploadRequest.uri` (string) URL to which the file must be uploaded. - `uploadRequest.fields` (object) Form fields to include in the upload request. - `status` (string) Status of the job Enum: "Created", "Submitted", "In Progress", "Aborting", "Completed", "Failed", "Aborted", "Cancelled", "Downloading" - `jobType` (string) Type of the job Enum: "Import", "Delete", "Update", "Cancel"